use crate::{AccountId, Amount};
use serde::Serialize;

#[derive(Copy, Clone, Debug, Eq, PartialEq, Serialize)]
pub struct PaymentId {
    pub transaction: AccountId,
    pub position: usize,
}

impl ToString for PaymentId {
    fn to_string(&self) -> String {
        format!("{}:{}", hex::encode(self.transaction), self.position)
    }
}

#[derive(Clone, Debug, Eq, PartialEq, Serialize)]
pub struct Payment {
    pub id: PaymentId,
    pub to: AccountId,
    pub amount: Amount,
    #[serde(skip)]
    pub spent_by: Option<AccountId>,
}
